# ForwardedChannelOpener (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.connection.channel.forwarded
Interface ForwardedChannelOpener

All Known Implementing Classes:
  AbstractForwardedChannelOpener, RemotePortForwarder, X11Forwarder

    public interface ForwardedChannelOpener

Takes care of handling `SSH_MSG_CHANNEL_OPEN` requests for forwarded channels of a specific type.

Method Summary
`String` `getChannelType()` Returns the name of the channel type this opener can next.
`void` `handleOpen(SSHPacket buf)` Delegates a `SSH_MSG_CHANNEL_OPEN` request for the channel type claimed by this opener.

Method Detail

### getChannelType

    String getChannelType()

  Returns the name of the channel type this opener can next.

### handleOpen

    void handleOpen(SSHPacket buf)
                    throws ConnectionException,
                           TransportException

  Delegates a `SSH_MSG_CHANNEL_OPEN` request for the channel type claimed by this opener.

  Parameters:
    `buf` - `SSHPacket` containg the request except for the message identifier and channel type field
  Throws:
    `ConnectionException`
    `TransportException`

Copyright © 2009-2011. All Rights Reserved.